## ros-indigo-multi-interface-roam 1.0.11

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(multi_interface_roam)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS rospy network_monitor_udp std_msgs diagnostic_msgs pr2_msgs dynamic_reconfigure ieee80211_channels)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


#rosbuild_gensrv()

catkin_add_nosetests(src/multi_interface_roam/event.py)
catkin_add_nosetests(src/multi_interface_roam/state_publisher.py)
catkin_add_nosetests(src/multi_interface_roam/async_helpers.py)
catkin_add_nosetests(src/multi_interface_roam/command_with_output.py)
catkin_add_nosetests(src/multi_interface_roam/system.py)
catkin_add_nosetests(src/multi_interface_roam/mac_addr.py)


add_message_files(
    FILES 
    InterfaceStatus.msg
    MultiInterfaceStatus.msg
)



#generate_messages(
#    #TODO DEPENDENCIES rospy network_monitor_udp std_msgs diagnostic_msgs pr2_msgs wpa_supplicant_node asmach dynamic_reconfigure ieee80211_channels python-libpcap python-twisted-core udhcpc python-scapy beep
#)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS rospy network_monitor_udp std_msgs diagnostic_msgs pr2_msgs wpa_supplicant_node dynamic_reconfigure ieee80211_channels
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

=== debian/changelog ===
ros-indigo-multi-interface-roam (1.0.11-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 16 Sep 2015 15:28:50 -0000

ros-indigo-multi-interface-roam (1.0.9-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 04:00:00 -0000

ros-indigo-multi-interface-roam (1.0.8-0trusty) trusty; urgency=high

  * Removed rosbuild files
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 04:00:00 -0000

ros-indigo-multi-interface-roam (1.0.7-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 04:00:00 -0000

ros-indigo-multi-interface-roam (1.0.6-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 04:00:00 -0000

ros-indigo-multi-interface-roam (1.0.5-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 06 Oct 2014 04:00:00 -0000

ros-indigo-multi-interface-roam (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-multi-interface-roam (1.0.3-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-multi-interface-roam (1.0.2-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-multi-interface-roam
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-asmach, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-ieee80211-channels, ros-indigo-network-monitor-udp, ros-indigo-pr2-msgs, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/multi_interface_roam
Standards-Version: 3.9.2

Package: ros-indigo-multi-interface-roam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-asmach, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-ieee80211-channels, ros-indigo-network-monitor-udp, ros-indigo-pr2-msgs, ros-indigo-rospy, ros-indigo-std-msgs
Description: sdsdddsdsds

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-multi-interface-roam//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
